%define	name	bootparamd
%define	version	0.17
%define	release	%mkrel 9

Summary:	A server process which provides boot information to diskless clients
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
Source:		ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-bootparamd-0.17.tar.bz2
Source1:	bootparamd.init.bz2
#Patch: netkit-bootparamd-0.10-misc.patch.bz2
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires:	portmap
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the rarp and tftp servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%prep
%setup -q -n netkit-bootparamd-%{version}
#%patch -p1
bzcat %{SOURCE1} > bootparamd.init

%build
%serverbuild
./configure --prefix=%{_prefix}
perl -pi -e '
	s,^CC=*.$,CC=cc,;
	s,-O2,\$(RPM_OPT_FLAGS) -D_BSD_SOURCE,;
	s,^BINDIR=.*$,BINDIR=%{_bindir},;
	s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
	s,^MANDIR=.*$,MANDIR=%{_mandir},;
	' MCONFIG
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5,8}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 bootparamd.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/bootparamd

cd $RPM_BUILD_ROOT%{_mandir}/man8
ln -s rpc.bootparamd.8.bz2 $RPM_BUILD_ROOT%{_mandir}/man8/bootparamd.8.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service bootparamd

%preun
%_preun_service bootparamd

%files
%defattr(-,root,root,0755)
%{_sbindir}/rpc.bootparamd
%{_bindir}/callbootd
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/rc.d/init.d/bootparamd



%changelog
* Thu Apr 12 2007 Mandrake <devel@mandriva.com> 0.17-9mdv2008.0
+ Revision: 1125
+ rebuild (emptylog)


* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 0.17-9mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.17-8mdk
- Rebuild

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-7mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-6mdk
- fix rpmlint errors (PreReq)

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.17-5mdk
- cleanups
- s/Copyright/License/
- fix unpackaged files
- prereq on rpm-helper

